Package ru.bitel.bgbilling.kernel.config.common.bean

# Class ConfigData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.config.common.bean.ConfigData

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ConfigData extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ConfigData.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConfigData.Builder`
  `builder()`
  `String`
  `getConfig()`
  `Date`
  `getLastEdited()`
  `int`
  `getModuleId()`
  `int`
  `getUserId()`
  `String`
  `getUserName()`
  `boolean`
  `isActive()`
  `void`
  `setActive(boolean active)`
  `void`
  `setConfig(String config)`
  `void`
  `setLastEdited(Date lastEdited)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setUserId(int userId)`
  `void`
  `setUserName(String userName)`
  `ConfigDataDto`
  `toConfigDataDto()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ConfigData

    public ConfigData()

- ## Method Details

  - ### getConfig

    public String getConfig()

  - ### getUserId

    public int getUserId()

  - ### getUserName

    public String getUserName()

  - ### getModuleId

    public int getModuleId()

  - ### isActive

    public boolean isActive()

  - ### getLastEdited

    public Date getLastEdited()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### setActive

    public void setActive(boolean active)

  - ### setConfig

    public void setConfig(String config)

  - ### setUserId

    public void setUserId(int userId)

  - ### setUserName

    public void setUserName(String userName)

  - ### setLastEdited

    public void setLastEdited(Date lastEdited)

  - ### toConfigDataDto

    public ConfigDataDto toConfigDataDto()

  - ### builder

    public static ConfigData.Builder builder()